<div class="story-modal">
  <!-- Name and Pic of User -->
  <div *ngIf="selectedStory$ | async as story" class="story-modal-user d-flex align-items-center">
    <img [src]="story.image ? getImageUrl(story.image) : 'assets/images/no-image.png'" alt="" class="story-modal-thumbnail mr1" />
    <div class="story-modal-name" *ngIf="story.social_account === null">{{ story.fname }} {{ story.lname }}</div>
    <div class="story-modal-name" *ngIf="story.social_account !== null">
      {{ story.fname }}
    </div>
  </div>
  <!-- <div class="story-modal-indicators">
    <div
      class="story-modal-indicator"
      [ngClass]="myCarousel?.activeId == i ? 'active' : ''"
      *ngFor="let story of (selectedStory$ | async)?.has_stories; let i = index"
      [id]="i"
    ></div>
  </div> -->

  <div
    [ngClass]="{
      'first': myCarousel?.activeId == '0',
      'last': myCarousel?.activeId == (selectedStory$ | async)?.has_stories?.length - 1
    }"
  >
    <ngb-carousel
      #myCarousel
      [showNavigationArrows]="(selectedStory$ | async)?.has_stories?.length > 1"
      [showNavigationIndicators]="false"
    >
      <ng-template ngbSlide *ngFor="let story of (selectedStory$ | async)?.has_stories; let i = index" [id]="i">
        <div class="picsum-img-wrapper">
          <img *ngIf="story.type !== 'video'" [src]="getImageUrl(story.content)" class="story-modal-image" />
          <div class="video-overlay" *ngIf="story.type === 'video'">
            <video controls class="story-modal-video">
              <source [src]="getImageUrl(story.content)" />
            </video>
          </div>
        </div>
      </ng-template>
    </ngb-carousel>
  </div>
</div>
